import { Expose } from 'class-transformer';

export class ReporteOutputDto {
  @Expose()
  id_prestamo: number;

  @Expose()
  activo: number;

  @Expose()
  carrera: string;

  @Expose()
  cancelado_operador: number;

  @Expose()
  cancelado_usuario: number;

  @Expose()
  carrito: string;

  @Expose()
  equipo: string;

  @Expose()
  fecha_entrega: Date;

  @Expose()
  fecha_inicio: Date;

  @Expose()
  hora_fin: Date;

  @Expose()
  hora_inicio: Date;

  @Expose()
  hora_max_recoger: Date;

  @Expose()
  id_carrito: number;

  @Expose()
  id_equipo: number;

  @Expose()
  id_institucion: number;

  @Expose()
  id_institucion_carrera: number;

  @Expose()
  id_modulo: number;

  @Expose()
  id_operador_entrega: number;

  @Expose()
  id_operador_regreso: number;

  @Expose()
  id_status: number;

  @Expose()
  id_tipo_carrito: number;

  @Expose()
  id_tipo_usuario: number;

  @Expose()
  id_usuario: number;

  @Expose()
  institucion: string;

  @Expose()
  modulo: string;

  @Expose()
  nombre: string;

  @Expose()
  numero_inventario: string;

  @Expose()
  operador_entrega: string;

  @Expose()
  operador_regreso: string;

  @Expose()
  tipo_carrito: string;

  @Expose()
  usuario: string;
}
